org.wildfly.swarm.config.messaging.activemq.server

## Class AddressSetting<T extends AddressSetting<T>>

- java.lang.Object
- - org.wildfly.swarm.config.messaging.activemq.server.AddressSetting<T>

-     public class AddressSetting<T extends AddressSetting<T>>
      extends Object

  An address setting defines some attributes that are defined against an address wildcard rather than a specific queue.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AddressSetting.AddressFullPolicy`
    `static class` | `AddressSetting.SlowConsumerPolicy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddressSetting(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `AddressSetting.AddressFullPolicy` | `addressFullPolicy()` Determines what happens when an address where max-size-bytes is specified becomes full.
    `T` | `addressFullPolicy(AddressSetting.AddressFullPolicy value)` Determines what happens when an address where max-size-bytes is specified becomes full.
    `Boolean` | `autoCreateJmsQueues()` Determines whether ActiveMQ should automatically create a JMS queue corresponding to the address-settings match when a JMS producer or a consumer is tries to use such a queue.
    `T` | `autoCreateJmsQueues(Boolean value)` Determines whether ActiveMQ should automatically create a JMS queue corresponding to the address-settings match when a JMS producer or a consumer is tries to use such a queue.
    `Boolean` | `autoDeleteJmsQueues()` Determises Whether ActiveMQ should automatically delete auto-created JMS queues when they have no consumers and no messages.
    `T` | `autoDeleteJmsQueues(Boolean value)` Determises Whether ActiveMQ should automatically delete auto-created JMS queues when they have no consumers and no messages.
    `String` | `deadLetterAddress()` The dead letter address
    `T` | `deadLetterAddress(String value)` The dead letter address
    `String` | `expiryAddress()` Defines where to send a message that has expired.
    `T` | `expiryAddress(String value)` Defines where to send a message that has expired.
    `Long` | `expiryDelay()` Defines the expiration time that will be used for messages using the default expiration time
    `T` | `expiryDelay(Long value)` Defines the expiration time that will be used for messages using the default expiration time
    `String` | `getKey()`
    `Boolean` | `lastValueQueue()` Defines whether a queue only uses last values or not
    `T` | `lastValueQueue(Boolean value)` Defines whether a queue only uses last values or not
    `Integer` | `maxDeliveryAttempts()` Defines how many time a cancelled message can be redelivered before sending to the dead-letter-address
    `T` | `maxDeliveryAttempts(Integer value)` Defines how many time a cancelled message can be redelivered before sending to the dead-letter-address
    `Long` | `maxRedeliveryDelay()` Maximum value for the redelivery-delay (in ms).
    `T` | `maxRedeliveryDelay(Long value)` Maximum value for the redelivery-delay (in ms).
    `Long` | `maxSizeBytes()` The max bytes size.
    `T` | `maxSizeBytes(Long value)` The max bytes size.
    `Integer` | `messageCounterHistoryDayLimit()` Day limit for the message counter history.
    `T` | `messageCounterHistoryDayLimit(Integer value)` Day limit for the message counter history.
    `Integer` | `pageMaxCacheSize()` The number of page files to keep in memory to optimize IO during paging navigation.
    `T` | `pageMaxCacheSize(Integer value)` The number of page files to keep in memory to optimize IO during paging navigation.
    `Long` | `pageSizeBytes()` The paging size.
    `T` | `pageSizeBytes(Long value)` The paging size.
    `Long` | `redeliveryDelay()` Defines how long to wait before attempting redelivery of a cancelled message
    `T` | `redeliveryDelay(Long value)` Defines how long to wait before attempting redelivery of a cancelled message
    `Double` | `redeliveryMultiplier()` Multiplier to apply to the redelivery-delay parameter
    `T` | `redeliveryMultiplier(Double value)` Multiplier to apply to the redelivery-delay parameter
    `Long` | `redistributionDelay()` Defines how long to wait when the last consumer is closed on a queue before redistributing any messages
    `T` | `redistributionDelay(Long value)` Defines how long to wait when the last consumer is closed on a queue before redistributing any messages
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Boolean` | `sendToDlaOnNoRoute()` If this parameter is set to true for that address, if the message is not routed to any queues it will instead be sent to the dead letter address (DLA) for that address, if it exists.
    `T` | `sendToDlaOnNoRoute(Boolean value)` If this parameter is set to true for that address, if the message is not routed to any queues it will instead be sent to the dead letter address (DLA) for that address, if it exists.
    `Long` | `slowConsumerCheckPeriod()` How often to check for slow consumers on a particular queue.
    `T` | `slowConsumerCheckPeriod(Long value)` How often to check for slow consumers on a particular queue.
    `AddressSetting.SlowConsumerPolicy` | `slowConsumerPolicy()` Determine what happens when a slow consumer is identified.
    `T` | `slowConsumerPolicy(AddressSetting.SlowConsumerPolicy value)` Determine what happens when a slow consumer is identified.
    `Long` | `slowConsumerThreshold()` The minimum rate of message consumption allowed before a consumer is considered slow.
    `T` | `slowConsumerThreshold(Long value)` The minimum rate of message consumption allowed before a consumer is considered slow.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddressSetting

          public AddressSetting(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### addressFullPolicy

          public AddressSetting.AddressFullPolicy addressFullPolicy()

      Determines what happens when an address where max-size-bytes is specified becomes full. (PAGE, DROP or BLOCK)

    - #### addressFullPolicy

          public T addressFullPolicy(AddressSetting.AddressFullPolicy value)

      Determines what happens when an address where max-size-bytes is specified becomes full. (PAGE, DROP or BLOCK)

    - #### autoCreateJmsQueues

          public Boolean autoCreateJmsQueues()

      Determines whether ActiveMQ should automatically create a JMS queue corresponding to the address-settings match when a JMS producer or a consumer is tries to use such a queue.

    - #### autoCreateJmsQueues

          public T autoCreateJmsQueues(Boolean value)

      Determines whether ActiveMQ should automatically create a JMS queue corresponding to the address-settings match when a JMS producer or a consumer is tries to use such a queue.

    - #### autoDeleteJmsQueues

          public Boolean autoDeleteJmsQueues()

      Determises Whether ActiveMQ should automatically delete auto-created JMS queues when they have no consumers and no messages.

    - #### autoDeleteJmsQueues

          public T autoDeleteJmsQueues(Boolean value)

      Determises Whether ActiveMQ should automatically delete auto-created JMS queues when they have no consumers and no messages.

    - #### deadLetterAddress

          public String deadLetterAddress()

      The dead letter address

    - #### deadLetterAddress

          public T deadLetterAddress(String value)

      The dead letter address

    - #### expiryAddress

          public String expiryAddress()

      Defines where to send a message that has expired.

    - #### expiryAddress

          public T expiryAddress(String value)

      Defines where to send a message that has expired.

    - #### expiryDelay

          public Long expiryDelay()

      Defines the expiration time that will be used for messages using the default expiration time

    - #### expiryDelay

          public T expiryDelay(Long value)

      Defines the expiration time that will be used for messages using the default expiration time

    - #### lastValueQueue

          public Boolean lastValueQueue()

      Defines whether a queue only uses last values or not

    - #### lastValueQueue

          public T lastValueQueue(Boolean value)

      Defines whether a queue only uses last values or not

    - #### maxDeliveryAttempts

          public Integer maxDeliveryAttempts()

      Defines how many time a cancelled message can be redelivered before sending to the dead-letter-address

    - #### maxDeliveryAttempts

          public T maxDeliveryAttempts(Integer value)

      Defines how many time a cancelled message can be redelivered before sending to the dead-letter-address

    - #### maxRedeliveryDelay

          public Long maxRedeliveryDelay()

      Maximum value for the redelivery-delay (in ms).

    - #### maxRedeliveryDelay

          public T maxRedeliveryDelay(Long value)

      Maximum value for the redelivery-delay (in ms).

    - #### maxSizeBytes

          public Long maxSizeBytes()

      The max bytes size.

    - #### maxSizeBytes

          public T maxSizeBytes(Long value)

      The max bytes size.

    - #### messageCounterHistoryDayLimit

          public Integer messageCounterHistoryDayLimit()

      Day limit for the message counter history.

    - #### messageCounterHistoryDayLimit

          public T messageCounterHistoryDayLimit(Integer value)

      Day limit for the message counter history.

    - #### pageMaxCacheSize

          public Integer pageMaxCacheSize()

      The number of page files to keep in memory to optimize IO during paging navigation.

    - #### pageMaxCacheSize

          public T pageMaxCacheSize(Integer value)

      The number of page files to keep in memory to optimize IO during paging navigation.

    - #### pageSizeBytes

          public Long pageSizeBytes()

      The paging size.

    - #### pageSizeBytes

          public T pageSizeBytes(Long value)

      The paging size.

    - #### redeliveryDelay

          public Long redeliveryDelay()

      Defines how long to wait before attempting redelivery of a cancelled message

    - #### redeliveryDelay

          public T redeliveryDelay(Long value)

      Defines how long to wait before attempting redelivery of a cancelled message

    - #### redeliveryMultiplier

          public Double redeliveryMultiplier()

      Multiplier to apply to the redelivery-delay parameter

    - #### redeliveryMultiplier

          public T redeliveryMultiplier(Double value)

      Multiplier to apply to the redelivery-delay parameter

    - #### redistributionDelay

          public Long redistributionDelay()

      Defines how long to wait when the last consumer is closed on a queue before redistributing any messages

    - #### redistributionDelay

          public T redistributionDelay(Long value)

      Defines how long to wait when the last consumer is closed on a queue before redistributing any messages

    - #### sendToDlaOnNoRoute

          public Boolean sendToDlaOnNoRoute()

      If this parameter is set to true for that address, if the message is not routed to any queues it will instead be sent to the dead letter address (DLA) for that address, if it exists.

    - #### sendToDlaOnNoRoute

          public T sendToDlaOnNoRoute(Boolean value)

      If this parameter is set to true for that address, if the message is not routed to any queues it will instead be sent to the dead letter address (DLA) for that address, if it exists.

    - #### slowConsumerCheckPeriod

          public Long slowConsumerCheckPeriod()

      How often to check for slow consumers on a particular queue.

    - #### slowConsumerCheckPeriod

          public T slowConsumerCheckPeriod(Long value)

      How often to check for slow consumers on a particular queue.

    - #### slowConsumerPolicy

          public AddressSetting.SlowConsumerPolicy slowConsumerPolicy()

      Determine what happens when a slow consumer is identified.

    - #### slowConsumerPolicy

          public T slowConsumerPolicy(AddressSetting.SlowConsumerPolicy value)

      Determine what happens when a slow consumer is identified.

    - #### slowConsumerThreshold

          public Long slowConsumerThreshold()

      The minimum rate of message consumption allowed before a consumer is considered slow.

    - #### slowConsumerThreshold

          public T slowConsumerThreshold(Long value)

      The minimum rate of message consumption allowed before a consumer is considered slow.

Copyright © 2018 JBoss by Red Hat. All rights reserved.